## org.apache.myfaces.custom.jslistener
Class JsValueChangeListener

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.apache.myfaces.custom.jslistener.JsValueChangeListener

All Implemented Interfaces:
  javax.faces.component.StateHolder, javax.faces.component.ValueHolder

public class JsValueChangeListener
extends javax.faces.component.UIOutput

Version:
  $Revision: 169649 $ $Date: 2005-05-11 11:47:12 -0400 (Wed, 11 May 2005) $
Author:
  Martin Marinschek (latest modification by $Author: grantsmith $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Constructor Summary
`JsValueChangeListener()`

Method Summary
`java.lang.String` `getExpressionValue()`
`java.lang.String` `getFamily()`
`java.lang.String` `getFor()`
`java.lang.String` `getProperty()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setExpressionValue(java.lang.String expressionValue)`
`void` `setFor(java.lang.String forValue)`
`void` `setProperty(java.lang.String property)`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### JsValueChangeListener

    public JsValueChangeListener()

Method Detail

### getFamily

    public java.lang.String getFamily()

### setFor

    public void setFor(java.lang.String forValue)

### getFor

    public java.lang.String getFor()

### setExpressionValue

    public void setExpressionValue(java.lang.String expressionValue)

### getExpressionValue

    public java.lang.String getExpressionValue()

### setProperty

    public void setProperty(java.lang.String property)

### getProperty

    public java.lang.String getProperty()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)